%define upstream_name    Log-Dispatch-Config
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Log4j for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Log::Dispatch) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.320.0
BuildArch:  noarch

%description 
Log::Dispatch::Config is a subclass of Log::Dispatch and provides a way
to configure Log::Dispatch object with configuration file (default, in
AppConfig format). I mean, this is log4j for Perl, not with all API
compatibility though.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml README
%{perl_vendorlib}/Log/Dispatch*
%{_mandir}/*/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.40.0-11.mga9
+ Revision: 1817205
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-10.mga8
+ Revision: 1495419
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-9.mga7
+ Revision: 1268982
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-8.mga6
+ Revision: 1029344
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-7.mga6
+ Revision: 949473
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.40.0-6.mga5
+ Revision: 789670
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 743862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 685262
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 512614
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 369219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 88530
- update to 1.04

* Mon Jan 24 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 36400
- mageia rebuild
- imported package perl-Log-Dispatch-Config

